package org.netkernel.layer0.util;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.tools.EndpointMonitor;
import org.netkernel.layer0.tools.IEndpointMonitor;

public class Layer0Factory
{
	private static EndpointMonitor sMonitor;
	
	public static IEndpointMonitor getMonitorInstance()
	{	return sMonitor;
	}
	
	public static IEndpointMonitor createMonitor(IKernel aKernel)
	{	sMonitor = new EndpointMonitor(aKernel);
		aKernel.addConfigurationListener(sMonitor);
		return sMonitor;
	}
}
